Problems rendering the book

Dan Nicholson dbn.lists at gmail.com
Sat Feb 10 19:34:48 PST 2007


On 2/10/07, Giulio Daprelà <daprela at gmail.com> wrote:
> On 2/8/07, Dan Nicholson <dbn.lists at gmail.com> wrote:
> >
> > I looked on the website, and I can't see any reason why you wouldn't
> > be able to download 1.69.1. But you can also get it from one of the
> > BLFS mirrors.
> >
> > http://ftp.osuosl.org/pub/blfs/svn/d/docbook-xsl-1.69.1.tar.bz2
>
> Let me know if I understand well: I have to install a local copy of
> the 1.69.1 and readdress the make procedure to the local copy to make
> the rendering work fine?

You shouldn't have to address the Makefile to do anything if you have
DocBook-XSL installed in the system as in the book. In other words, it
will use the stylesheets as described in /etc/xml/catalog. Our sources
say to use release 1.69.1 of the stylesheets. If you have them
installed and registered on your system, they'll be used.

> And, another question: is there any procedure to make the rendering
> independent from the version of xsl? Couldn't it be a good idea to
> give the instructions on how to solve this problem when it appears?

I'm not the XSL guru, but I don't think this is possible. The
stylesheets change, so the book can really only work with a single
version. That's why in BLFS we download all those other versions of
DocBook XML and DocBook XSL and install them. To have the ability to
render XML/XSL source that depends on different versions of the DTD or
stylesheets.

According to Manuel, some changes will have to be made to the book
sources to make them compatible with newer versions of DocBook XSL.
This will happen soon, but for now, you need version 1.69.1.

--
Dan



More information about the lfs-support mailing list